Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 21954 - Do not load classes on startup
Do not load classes on startup
Status: CLOSED FIXED
Product: obsolete
Classification: Unclassified
Component: vcscore
3.x
PC Linux
: P2 (vote)
: 3.x
Assigned To: Martin Entlicher
issues@obsolete
: PERFORMANCE
Depends on:
Blocks: 21676
  Show dependency treegraph
 
Reported: 2002-03-28 16:47 UTC by Jaroslav Tulach
Modified: 2003-07-01 12:56 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-03-28 16:47:17 UTC
I am working on issue 21676 and I have run the IDE with this patch
http://www.netbeans.org/issues/showattachment.cgi?attach_id=5081 and the
arguments described there. I have found out that following classes are being
loaded into the system on startup. Please investigate why they are loaded and
prevent that to happen. Thanks.


org.netbeans.modules.vcscore.settings.GeneralVcsSettingsNode
Comment 1 Martin Entlicher 2002-04-03 11:19:35 UTC
Reassigning...
Comment 2 Martin Entlicher 2002-04-04 16:19:11 UTC
GeneralVcsSettingsNode is defined in the vcscore module XML layer.
This is probably the reason, why it is loaded. It's used to present
VCS settings.
Comment 3 Jaroslav Tulach 2002-04-08 15:29:35 UTC
The name seems to indicated that the class is a node. I am not aware
of any reason why a node should be loaded on startup... If it is usage of 

<file name="...instance" />

then try to also use attributes

<attr name="instanceClass" stringvalue="org.openide.nodes.Node" />
<attr name="instanceCreate" ..... />

or please give me explanation why this class is loaded into VM?
Comment 4 Martin Entlicher 2002-04-08 16:46:30 UTC
The attribute
<attr name="instanceClass" stringvalue="org.openide.nodes.Node" />
really suppressed the loading of that class. However after this change
the "Version Control Settings" became unusable.

IMHO the GeneralVcsSettingsNode is loaded into VM becaused it's
referenced in the mf-layer.xml under "Services". It's used to form the
version control settings in the Options dialog. It must be a node to
be able to attach settings from other modules as it's children and it
must have a list of properties itself. If there is an alternate way
how to implement this, please let me know. Thanks.
Comment 5 Jaroslav Tulach 2002-04-13 13:33:45 UTC
Please try to find out who is loading the class and why it is not
loaded if referenced just as Node.
Comment 6 Martin Entlicher 2002-04-15 18:14:54 UTC
Well, this must be somewhere in the core. Because none of my other
classes are loaded.
I'll look at it....
Comment 7 Martin Entlicher 2002-04-16 11:23:30 UTC
I've found the reason, why the class is loaded. The Services folder is
recursively loaded at the beginning due to the lookup. I've put our
node under UI/Services.
Fixed in dev build Apr 17.


Comment 8 Jiri Kovalsky 2002-04-23 10:51:00 UTC
Verified in development build #200204230100 of NetBeans 3.4.
Comment 9 Quality Engineering 2003-07-01 12:56:26 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo